Appearance
GET
/web-pages/draft/drafts/{draftId}/layouts/{layoutId}Required scope:
viskan:draft:readGets information about layout including sections and variables.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
layoutId string Format:
uuidIdentifier of the layout. A layout defines the structure of a page by specifying which sections are included.
Response
The layout information including sections and variables.
JSON
{
"layoutId": "e8391697-5592-434a-9e20-ac2316adc235",
"layoutName": "Product List default layout",
"layoutDescription": "Default layout created for product list pages",
"layoutType": "START_PAGE",
"status": "MODIFIED",
"sections": [
{
"layoutSectionId": "be0111c5-a24b-47bd-86f7-77c12d632bdc",
"sectionId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0",
"sectionName": "Start Page Hero"
}
],
"pages": [
{
"pageId": "3629bd11-e45d-4c63-8b5a-6190b5dfd0e7",
"contentLocaleId": "774ab227-18fe-4541-ba3b-06ad3e95ae75",
"title": "Start Page"
}
]
}
| Error code | Description |
|---|---|
web-pages.retrieve-layout.draft-not-found | Draft not found. |
web-pages.retrieve-layout.layout-not-found | Could not find the layout by ID. |